# $Revision: 1.6.2.2 $, $Date: 2003/04/10 13:53:08 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	Accessor
Summary:	%{pdir}::%{pnam} Perl module - automated accessor generation
Summary(pl):	Modu Perla %{pdir}::%{pnam} - automatyczne generowanie skadowych accessor
Name:		perl-Class-Accessor
Version:	0.18
Release:	1
License:	?
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-require.patch
BuildRequires:	perl >= 5
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module automatically generates accessor/mutators for your class.

%description -l pl
Ten modu automatycznie generuje skadniki accessor/mutator dla klas.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_sitelib}/%{pdir}/*.pm
%{perl_sitelib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Class-Accessor.spec,v $
Revision 1.6.2.2  2003/04/10 13:53:08  ankry
- enabled tests, updated to 0.18, cosmetics

Revision 1.6.2.1  2003/03/13 00:56:41  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.6  2003/02/28 10:08:11  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.5  2003/02/25 00:37:37  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:27:58  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/07/24 11:55:57  ankry
- fixed required perl version (-require.patch)
- added Changes to %%doc
- release 2

Revision 1.2  2002/07/23 11:11:57  qboosh
- short pl description

Revision 1.1  2002/07/23 02:14:10  radek
- new, STBR
